Bug 1285290 - [abrt] rhythmbox: rb_shell_player_get_playing_entry(): rhythmbox killed by SIGSEGV
[abrt] rhythmbox: rb_shell_player_get_playing_entry(): rhythmbox killed by SI...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0953eb252ea2310e42ef00849f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 06:18 EST by andreas.stoeckel
Modified: 2016-12-20 11:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:16:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.20 KB, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: core_backtrace (3.57 KB, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: dso_list (22.59 KB, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: environ (1.00 KB, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: maps (98.99 KB, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: mountinfo (3.45 KB, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: open_fds (1.36 KB, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details
File: var_log_messages (300 bytes, text/plain)
2015-11-25 06:18 EST, andreas.stoeckel
no flags Details

  None (edit)
Description andreas.stoeckel 2015-11-25 06:18:17 EST
Description of problem:
I'm not entirely shure I remember completely how this problem happend, but I think I closed rhythmbox only a few seconds after I started it, which then caused the crash.

Version-Release number of selected component:
rhythmbox-3.2.1-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/rhythmbox
crash_function: rb_shell_player_get_playing_entry
executable:     /usr/bin/rhythmbox
global_pid:     12265
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 rb_shell_player_get_playing_entry at rb-shell-player.c:614
 #1 art_cb at rb-header.c:485
 #2 load_request_cb at rb-ext-db.c:615
 #3 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #4 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:872
 #8 g_main_context_iteration at gmain.c:3901
 #9 g_application_run at gapplication.c:2311
 #10 rb_application_run at rb-application.c:646

Potential duplicate: bug 1108868
Comment 1 andreas.stoeckel 2015-11-25 06:18:22 EST
Created attachment 1098730 [details]
File: backtrace
Comment 2 andreas.stoeckel 2015-11-25 06:18:23 EST
Created attachment 1098731 [details]
File: cgroup
Comment 3 andreas.stoeckel 2015-11-25 06:18:24 EST
Created attachment 1098732 [details]
File: core_backtrace
Comment 4 andreas.stoeckel 2015-11-25 06:18:26 EST
Created attachment 1098733 [details]
File: dso_list
Comment 5 andreas.stoeckel 2015-11-25 06:18:27 EST
Created attachment 1098734 [details]
File: environ
Comment 6 andreas.stoeckel 2015-11-25 06:18:29 EST
Created attachment 1098735 [details]
File: exploitable
Comment 7 andreas.stoeckel 2015-11-25 06:18:30 EST
Created attachment 1098736 [details]
File: limits
Comment 8 andreas.stoeckel 2015-11-25 06:18:32 EST
Created attachment 1098737 [details]
File: maps
Comment 9 andreas.stoeckel 2015-11-25 06:18:34 EST
Created attachment 1098738 [details]
File: mountinfo
Comment 10 andreas.stoeckel 2015-11-25 06:18:35 EST
Created attachment 1098739 [details]
File: namespaces
Comment 11 andreas.stoeckel 2015-11-25 06:18:36 EST
Created attachment 1098740 [details]
File: open_fds
Comment 12 andreas.stoeckel 2015-11-25 06:18:38 EST
Created attachment 1098741 [details]
File: proc_pid_status
Comment 13 andreas.stoeckel 2015-11-25 06:18:39 EST
Created attachment 1098742 [details]
File: var_log_messages
Comment 14 Fedora Admin XMLRPC Client 2016-09-15 11:17:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2016-09-16 03:09:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora End Of Life 2016-11-24 08:43:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:16:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.